{% macro render_footer() %}
    <footer class="main-footer">
        <div class="footer-top">
            <div class="container-fluid">
                <div class="footer-row">
                    <div class="footer-col footer-newsletter">
                        <div class="footer-row">
                            <div class="footer-col footer-sub-col footer-newsletter-content">
                                {# TODO: Newsletter #}
                                <form action="">
                                    <h2>Subscribe for our newsletter</h2>
                                    <div class="newsletter-input-wrapper">
                                        <label for="newsletter-input" class="sr-only">Email</label>
                                        <input id="newsletter-input" type="email" placeholder="Email">
                                        <i class="fa fa-lg fa-envelope-o"></i>
                                    </div>
                                    <button type="submit" class="btn btn-block">Submit</button>
                                </form>
                            </div>
                            <div class="footer-col footer-sub-col footer-logo-desktop">
                                <img src="{{ shuup_static('canvas/img/canvas-square-logo-white.svg') }}" alt="">
                            </div>
                        </div>
                    </div>
                    <div class="footer-col footer-links">
                        <div class="footer-row footer-sub-row">
                            <div class="footer-col footer-sub-col">
                                {% placeholder "footer-links-1" global %}
                                    {% column {"sm": 12} %}
                                        {% plugin "simple_cms.page_links" %}
                                            title = "Pages"
                                        {% endplugin %}
                                    {% endcolumn %}
                                {% endplaceholder %}
                            </div>
                            {% if shuup.urls.has_url("shuup:registration_register") %}
                                <div class="footer-col footer-sub-col">
                                    <h2>{% trans %}For Brands{% endtrans %}</h2>
                                    <ul>
                                        <li>
                                            <a href="/v/">
                                                {% trans %}All Brands{% endtrans %}
                                            </a>
                                        </li>
                                        <li>
                                            <a href="{{ url('shuup:vendor_registration') }}{% if next %}?next={{ next }}{% endif %}">
                                                {% trans %}Join The Canvas as a Brand{% endtrans %}
                                            </a>
                                        </li>
                                        <li>
                                            <a href="{{ url('shuup_admin:dashboard') }}">
                                                {% trans %}Brand Login{% endtrans %}
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            {% endif %}
                            <div class="footer-col footer-sub-col">
                                {% placeholder "footer-links-2" global %}{% endplaceholder %}
                            </div>
                            <div class="footer-col footer-sub-col">
                                {% placeholder "footer-links-3" global %}{% endplaceholder %}
                            </div>
                            <div class="footer-col footer-sub-col">
                                {% placeholder "footer-links-4" global %}{% endplaceholder %}
                            </div>
                            <div class="footer-col footer-sub-col footer-logo-mobile">
                                
                                <img src="{{ shuup_static('canvas/img/canvas-square-logo-white.svg') }}" alt="">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="footer-bottom">
            <div class="container-fluid">
                <div class="footer-bottom-content">
                    {% set powered_by_content = shuup.general.get_powered_by_content() %}
                    <span>&copy; {{ request.shop.name }} {{ year() }}</span>
                    {% if powered_by_content %}
                        {{ powered_by_content|safe }}
                    {% endif %}
                </div>
            </div>
        </div>
    </footer>
{% endmacro %}
